Skip to content
Clym

API reference

Translations

Property translation management

Deploy translations

POST

Trigger CDN cache invalidation for a language and projects.

Request bodyapplication/json
langstringrequired
Language code to deploy.
projectsstring[]required
Project identifiers to invalidate.
200Deployment result.application/json
resultobjectoptional
post/admin/properties/{property_id}/translations/deploy
POST /api/admin/properties/{property_id}/translations/deploy HTTP/1.1
Host: {instance}.clym.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*

{
  "lang": "EN",
  "projects": [
    "widget-ui",
    "compliance-center",
    "case-management",
    "entities",
    "global"
  ]
}
200Deployment result.
{
  "result": {}
}

Get property translations

GET

Get all translations for a language and property.

200Translations retrieved successfullyapplication/json
resultobjectoptional
Translation data for the language
get/admin/properties/{property_id}/translations/{lang}
GET /api/admin/properties/{property_id}/translations/{lang} HTTP/1.1
Host: {instance}.clym.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200Translations retrieved successfully
{
  "result": {}
}

Save property translations

POST

Save multiple translation fields for the {lang} language.

Request bodyapplication/json
fieldsobject[]required
Translation field objects.
200Save result.application/json
resultobjectoptional
post/admin/properties/{property_id}/translations/{lang}
POST /api/admin/properties/{property_id}/translations/{lang} HTTP/1.1
Host: {instance}.clym.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*

{
  "fields": [
    {}
  ]
}
200Save result.
{
  "result": {}
}

Get translation key

GET

Get a single key's translations across the property's languages.

Query parameters:

Name Type Required Description
project string Yes Translation project the key belongs to.
lang string No Optional language code; returns a single language instead of languages.
200Translation key retrieved successfullyapplication/json
resultobjectoptional
Translation key with values across languages.
Show properties
translationstringnullableoptional
Default-language value for the key.
languagesobject[]optional
Present when `lang` is not supplied.
Show properties
idstringoptional
Language code
namestringoptional
Language name
countrystringnullableoptional
Country code
translationobjectnullableoptional
Translation data for this language.
languageobjectoptional
Present instead of `languages` when `lang` is supplied.
Show properties
idstringoptional
Language code
namestringoptional
Language name
countrystringnullableoptional
Country code
translationobjectnullableoptional
Translation data for this language.
get/admin/properties/{property_id}/translation/{key}
GET /api/admin/properties/{property_id}/translation/{key} HTTP/1.1
Host: {instance}.clym.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200Translation key retrieved successfully
{
  "result": {
    "translation": "Welcome",
    "languages": [{
      "id": "FR",
      "name": "French",
      "country": "FR",
      "translation": {}
    }],
    "language": null
  }
}

Save translation field

PUT

Save a single {path} key's content for one or more languages.

Request bodyapplication/json
projectstringenumrequired
Translation project the key belongs to.
Possible values: case-management compliance-center entities global widget-ui
fieldsobject[]required
Show properties
langstringrequired
Language code; must be an existing property language.
contentstringrequired
Translated content.
200Save result.application/json
resultobjectoptional
put/admin/properties/{property_id}/translation/{path}
PUT /api/admin/properties/{property_id}/translation/{path} HTTP/1.1
Host: {instance}.clym.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*

{
  "project": "widget-ui",
  "fields": [
    {
      "lang": "FR",
      "content": "Bienvenue"
    }
  ]
}
200Save result.
{
  "result": {}
}

© 2026 ClymTermsPrivacy policyCookie policy